<?session_start();

if(!(isset($_SESSION["username"]) && isset($_SESSION["password"])))
{
	?>
	<script type="text/javascript">
	location.replace("login.php");
	</script>
	<noscript>
	<meta http-equiv="refresh" content="0; url=login.php">
	</noscript>
	<?
	exit();
}

$user=$_SESSION["username"];

include('header.php');
require('config.php');
require('config.php'); 
$sql = "SELECT price FROM tb_config WHERE item='deltask'"; 
$res = mysql_query($sql);  
$deltask=mysql_result($res,0,0); //взяли кол-во дней из базы 
$nowtime=time(); //текущее время в юниксе 
$timeautook=$nowtime-86400*$deltask; //эт когда минимально должна была быть подана заявка на задание 
$sql=mysql_query("SELECT * FROM tb_taskstats WHERE data<'$timeautook'"); //берём те задания,которые старше нашего кол-ва дней 
if(mysql_num_rows($sql)>0) //если есть запозадлые заявки 
{ 
while($row=mysql_fetch_array($sql)) //кидаем в массив 
{ 
$idtask=$row["idtask"]; //id задания 
$login=$row["user"]; //логин ожидающего юзера 
$status=$row["status"]; //статус задания проверено или нет 
if($status=='0') //если задание не проходило проверку 
{ 
  $res=mysql_query("select * from tb_task where id='$idtask'"); //берём инфу о задании 
  $res=mysql_fetch_array($res); //объединяем в массив 
  if(($res["balance"]<$res["amount"]) or ($res["kolvo"]<1)) //если на балансе задания меньше,чем надо заплатить или там не осталось подтверждений то ничо не делаем) 
  { 
  }else{ //иначе 
  $amount=$res["amount"]; //оплата за задание 
  $balance=$res["balance"]-$amount; //балан задания(скоко осталось) 
  $kolvo=$res["kolvo"]-1; //кол-во оставшихся выполнений 
  $good=$res["good"]+1; //приплюсуем для статистики типа подтверждено 
  $wait=$res["wait"]-1; //ждущих стало на один меньше 
  mysql_query("update tb_task set balance='$balance',kolvo='$kolvo',good='$good',wait='$wait' where id='$idtask'"); //теперь всё это запишем 
  $res=mysql_query("select money from tb_users where username='$login'"); //достаём баланс ожидающего юзера 
  $res=mysql_fetch_array($res); //в массив 
  $money=$res["money"]+$amount; //считаем новый баланс  
  mysql_query("update tb_users set money='$money' where username='$login'"); //записываем новый баланс 
  mysql_query("update tb_taskstats set amount='$amount',status='4' where id='$id'"); //отмечаем заявку 
  } 
} 
} 
}
?>
<fieldset class="rlegend"><center>
<font color=white>.::Список заданий::.</center></font>
<br>
<br>

<fieldset style="background:#fff">
<table border=0 width=100%>
<tr>
	<td valign=top width=40%><b><u>Рекламодателю:</u></b><br>
	<a href="taskcheck.php">Проверка выполнения заданий</a><br>
	<a href="taskadd.php">Добавить задание</a><br>
	<a href="tasklist.php?go=onlymy">Ваши задания</a><br>
	</td>
	<td valign=top width=60%><b><u>Статистика:</u></b><br>
	Всего заданий: <?
		
		$res=mysql_query("select count(*) as kolvo1 from tb_task where kolvo>0");
		$res=mysql_fetch_array($res);
		
		echo $res["kolvo1"];
	?><br>
	Выполнено заданий: <font color=#00cc00><?
		
		$res=mysql_query("select count(*) as kolvo from tb_taskstats where status='1'");
		$res=mysql_fetch_array($res);
		
		echo $res["kolvo"];
	?></font><br>
	Отклонено выполнений: <font color=#ff0000><?
		
		$res=mysql_query("select count(*) as kolvo from tb_taskstats where status='2'");
		$res=mysql_fetch_array($res);
		
		echo $res["kolvo"];
	?></font><br>
	Ожидают подтверждения: <font color=#666666><?
		
		$res=mysql_query("select count(*) as kolvo from tb_taskstats where status='0'");
		$res=mysql_fetch_array($res);
		
		echo $res["kolvo"];
	?></font><br>
Автоматически подтверждено заданий:<font color=#666666> <?=mysql_num_rows(mysql_query("SELECT id FROM tb_taskstats WHERE status='4'")); ?></font><br>
	</td>
</tr>
<tr>
	<td valign=top width=40%><b><u>Пользователю:</u></b><br>
	<a href="tasklist.php">Список заданий</a><br>
	<a href="taskok.php">Выполненные задания</a><br>

	</td>
</tr>
</table>
</fieldset>

<?
if(!isset($_POST["action"]) and !isset($_GET["id"]))
{
if($_GET["go"]=='onlymy')
{
	$sql="select count(*) as kolvo1 from tb_task where author='$user'";
}else{
	$sql="select count(*) as kolvo1 from tb_task where kolvo>0 and author!='$user'";
}


$res=mysql_query($sql);
$res=mysql_fetch_array($res);
$alltask=$res["kolvo1"];

if($alltask=='0')
{
	include('footer.php');
	exit();
}

$pages=$alltask/30;
$pages1=floor($pages);

if($pages>$pages1)
{
	$pages=$pages1+1;
}

if($_GET["p"]!="")
{
	$page=$_GET["p"];
}else{
	$page='1';
}

$p1=30*($page-1);
$p2=30*$page-1;

?>
<font color=#ff0000>Задания сортируются по стоимости. Чем выше оплата за выполнение задания, тем выше в списке задание</font><br>
<center>Сортировать по: <a href="tasklist.php?sort=amount">оплате</a> | <a href="tasklist.php?sort=reyt">по рейтингу</a> | <a href="tasklist.php?sort=good">по кол-ву подтверждённых</a> | <a href="tasklist.php?sort=kolvo">по кол-ву оставшихся</a><br>
</center>
<?
$sort=$_GET["sort"];
if(!isset($_GET["sort"]) or $sort=='') $sort='amount';
if($sort == 'amount' | $sort == 'reyt' | $sort == 'good' | $sort == 'kolvo')
{

if($_GET["go"]=='onlymy')
{
	$sql="select * from tb_task where author='$user' order by $sort desc limit $p1,$p2";
}else{
	$sql="select * from tb_task where kolvo>0 and author!='$user' order by $sort desc limit $p1,$p2";
}

$res=mysql_query($sql);
while($row=mysql_fetch_array($res))
{
$delid=$row["id"];
if($row["kolvo"]==0) { 
mysql_query("DELETE FROM tb_task WHERE id='$delid'");
mysql_query("DELETE FROM tb_taskstats WHERE idtask='$delid'");
}
	$id=$row["id"];	
	$komms=mysql_fetch_array(mysql_query("SELECT count(*) as kolvo FROM sfb_taskcomments WHERE ident='$id'"));
	$komms=$komms["kolvo"];
	$reyt=$row["reyt"];
	echo "<br><fieldset style=\"background: ".$row["hltask"]."; broder: 0px;\"><table style=\";width:100%;\"><tbody>
<tr>
<td colspan=\"4\" style=\"vertical-align:top\">
".$row["title"]."</td><tr>
<tD style=\"vertical-align:top\">
<font size=\"1\" color=\"#00aa00\">Оплата:&nbsp;<font color=\"red\">".$row["amount"]."&nbsp;"; echo $sitevalname; echo "</font>&nbsp;&nbsp;Осталось:&nbsp;<font color=\"red\">".$row["kolvo"]."</font>
&nbsp;&nbsp;Подтверждено:&nbsp;<font color=\"red\">".$row["good"]."</font>
&nbsp;&nbsp;Отклонено:&nbsp;<font color=\"red\">".$row["bad"]."</font>
&nbsp;&nbsp;Ожидают:&nbsp;<font color=\"red\">".$row["wait"]."</font>
&nbsp;&nbsp;Рейтинг:&nbsp;<font color=\"red\">$reyt</font>
&nbsp;&nbsp;Комментариев:&nbsp;<font color=\"red\">$komms</font>
</font>&nbsp;&nbsp;
<font size=\"1\" color=\"#00aa00\">
<script language=\"JavaScript\"> 
function show(obj) { 
if (document.getElementById(obj).style.display == 'none') 
document.getElementById(obj).style.display = 'block'; 
else document.getElementById(obj).style.display = 'none'; 
} 
</script> <span class=\"newmenu\" onclick=\"show('".$row["id"]."')\"> 
 <a onclick=\"return false\"><font size=\"1\" color=\"red\">Подробнее</font></a> </span> 
<font color=black><span class=\"sub\" id=".$row["id"]." style=\"display: none;\"><br> 
".$row["descr"]."</font><br><br>";



	if($user!=$row["author"])
	{
		?>
		<form action="" method="get">
		<input type="hidden" value="<?=$row["id"]?>" name="id">
		<input type="submit" value="Просмотр">
		</form>
		<?
	}else{
		?>
		<form action="" method="post">
		<input type="hidden" value="<?=$row["id"]?>" name="id">
		<input type="hidden" value="edit" name="action">
		<input type="submit" value="Редактировать">
		</form>
		<?
	}
	echo "</span></font>
</td></tr></tbody></table></fieldset>";
}
}else{
echo "<b><center>Ну не надо....пожалуйста...</center></b>";
include('footer.php');
	exit();
}



echo "<b>Текущая страница $page из $pages</b><br><center>Перейти к странице:<br>";
$sort=$_GET["sort"];
for($i=1;$i<=$pages;$i++)
{
	echo "<a href=tasklist.php?sort=$sort&p=$i>$i</a> ";
}

echo "</center><br><br>";
}

if(isset($_GET["id"]))
{
	$id=$_GET["id"];
	$id=intval($id);
	include('taskcomments.php'); 
}
if($_POST["action"]=="viewok")
{
	$idtask=checkstring($_POST["id"]);
	$verinfo=checkstring($_POST["verinfo"]);

	
	$res=mysql_query("select count(*) as kolvo from tb_taskstats where user='$user' and idtask='$idtask'");
	$res=mysql_fetch_array($res);
	if($res["kolvo"]>0)
	{
		echo "<img src=\"images/error.png\" align=\"middle\">&nbsp;<span style=\"color:#ff0000\"><b>Вы уже выполняли это задание. Повторное выполнение невозможно</b></span>";
	}else{
		$res=mysql_query("select * from tb_task where id='$idtask'");
		$res=mysql_fetch_array($res);
		
		$amount=$res["amount"];
		$t=time();
		$wait=$res["wait"]+1;
		$kolvo=$res["kolvo"]-1;
		if($kolvo<0)
		{
			echo "<img src=\"images/error.png\" align=\"middle\">&nbsp;<span style=\"color:#ff0000\"><b>Ошибка! Баланс задания пуст</b></span>";
		}else{
			mysql_query("insert into tb_taskstats (idtask,verinfo,amount,user,data) values ('$idtask','$verinfo','$amount','$user','$t')");
			mysql_query("update tb_task set wait='$wait' where id='$idtask'");

			echo "<img src=\"images/ok.png\" align=\"middle\">&nbsp;<span style=\"color:#00dd00\"><b>Задание отправлено на проверку</b></span>";
		}
	}
	
}

if($_POST["action"]=="edit")
{

	$id=$_POST["id"];
require('config.php');
	$prov=mysql_fetch_array(mysql_query("SELECT author FROM tb_task WHERE id='$id'")); 
$rekl=$prov["author"]; 
if($rekl!=$_SESSION["username"]) 
{ 
echo "<img src=images/error.png> <font color=red>Это не Ваше задание.Идите нахер!</font>"; 
include('footer.php'); 
exit(); 
}
	$prov=mysql_fetch_array(mysql_query("SELECT author FROM tb_task WHERE id='$id'")); 

	$res=mysql_query("select price from tb_config where item='taskcomm'");
	$res=mysql_fetch_array($res);
	$taskcomm=$res["price"];
	
	$res=mysql_query("select * from tb_task where id='$id'");
	$res=mysql_fetch_array($res);
	
	?>
	<form action='' method=post>
	<b>ID: </b><?=$id?><br>
	<b>Рекламодатель: </b><?=$res["author"]?><br>
	<b>Название: </b><input type=text value="<?=$res["title"]?>" name="title" size=30 maxlength=50><br>
	<b>Оплата: </b><input type=text value="<?=$res["amount"]?>" name="amount" size=30 maxlength=10><br>
	<b>Описание: </b><br><textarea cols=40 rows=5 name="descr"><?=$res["descr"]?></textarea><br><br>
	<b>Ссылка для начала выполнения: </b><input type=text value="<?=$res["starturl"]?>" name="starturl" size=50 maxlength=150><br>
	<b>Информация для подтверждения: </b><input type=text value="<?=$res["verinfo"]?>" name="verinfo" size=30 maxlength=1000><br>
	<b>Осталось выполнений: </b><?=$res["kolvo"]?><br>
	<b>Баланс задания: </b><?=$res["balance"]?><br>
	<b>Пополнить баланс задания на сумму (комиссия системы <?=$taskcomm?>% от суммы пополнения баланса): </b><input type=text value="0" name="balplus" size=30 maxlength=10><br><br>
	<input type=submit value="Сохранить">
	<input type=hidden value="<?=$id?>" name="id">
	<input type=hidden value="editok" name="action">
	</form>
	<form action='' method=post>
	<input type=hidden value="<?=$id?>" name="id">
	<input type=hidden value="deletetask" name="action">
	<input type=submit value="Удалить">
	</form>
	<br><br><br>
	<font color=#00ff00><b>Подтверждено: <?=$res["good"]?></b></font><br>
	<font color=#ff0000><b>Отклонено: <?=$res["bad"]?></b></font><br>
	<font color=#666666><b>Ожидают: <?=$res["wait"]?></b></font>
	<?
}

if($_POST["action"]=="editok")
{
	$id=$_POST["id"];
	$title=strip_tags($_POST["title"]);
	$amount=floatval($_POST["amount"]);
	$descr=strip_tags($_POST["descr"]);
	$starturl=strip_tags($_POST["starturl"]);
	$verinfo=strip_tags($_POST["verinfo"]);
	$balplus=floatval($_POST["balplus"]);

	
	$res=mysql_query("select price from tb_config where item='taskcomm'");
	$res=mysql_fetch_array($res);
	$taskcomm=$res["price"];

	$res=mysql_query("select money from tb_users where username='$user'");
	$res=mysql_fetch_array($res);
	$money=$res["money"];

	$itogo=$balplus*(100+$taskcomm)/100;

	if($money<$itogo or $balplus<0 or $amount<0)
	{
		echo "<img src=\"images/error.png\" align=\"middle\">&nbsp;<span style=\"color:#ff0000\"><b>Ошибка! Введена неверная сумма пополнения баланса задания или неверная стоимость оплаты за выполнение</b></span>";
	}else{
		$money=$money-$itogo;
		mysql_query("update tb_users set money='$money' where username='$user'");

		
	
		$kolvo=floor($balplus/$amount);
		if($kolvo<1)
		{
			echo "<img src=\"images/error.png\" align=\"middle\">&nbsp;<span style=\"color:#ff0000\"><b>Ошибка! На балансе задания недостаточно средств</b></span>";
		}else{
			mysql_query("update tb_task set title='$title',amount='$amount',descr='$descr', starturl='$starturl', verinfo='$verinfo', balance=balance+$balplus,kolvo=kolvo+$kolvo where id='$id'");

			echo "<img src=\"images/ok.png\" align=\"middle\">&nbsp;<span style=\"color:#00dd00\"><b>Изменения сохранены</b></span>";
		}
	}
	
}

if($_POST["action"]=="deletetask")
{
$prov=mysql_fetch_array(mysql_query("SELECT author FROM tb_task WHERE id='$id'")); 
$rekl=$prov["author"]; 
if($rekl!=$_SESSION["username"]) 
{ 
echo "<img src=images/error.png> <font color=red>Это не Ваше задание.Идите нахер!</font>"; 
include('footer.php'); 
exit(); 
}
	$id=$_POST["id"];
	
	$res=mysql_query("select kolvo from tb_task where id='$id'");
	$res=mysql_fetch_array($res);
	if($res["kolvo"]!='0')
	{
		echo "<img src=\"images/error.png\" align=\"middle\">&nbsp;<span style=\"color:#ff0000\"><b>На балансе задания есть неизрасходованные выполнения. Удаление невозможно</b></span>";
	}else{
		mysql_query("delete from tb_task where id='$id'");
		echo "<img src=\"images/ok.png\" align=\"middle\">&nbsp;<span style=\"color:#00dd00\"><b>Задание удалено</b></span>";
	}
	
}
?>
</fieldset>
<? include('footer.php'); ?>